org.apache.uima.jcas.cas

## Class NonEmptyIntegerList

- java.lang.Object
- - org.apache.uima.cas.impl.FeatureStructureImplC
  - - org.apache.uima.jcas.cas.TOP
    - - org.apache.uima.jcas.cas.IntegerList
      - - org.apache.uima.jcas.cas.NonEmptyIntegerList

- All Implemented Interfaces:
    Cloneable, Iterable<Integer>, FeatureStructure, FeatureStructureImpl, CommonList, NonEmptyList

      public class NonEmptyIntegerList
      extends IntegerList
      implements NonEmptyList

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `FeatureStructureImplC.PrintReferences`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `_FeatName_head`
    `static String` | `_FeatName_tail`
    `static String` | `_TypeName`
    `static int` | `type`
    `static int` | `typeIndexID`

    - ### Fields inherited from class org.apache.uima.jcas.cas.IntegerList

      `EMPTY_INT_ITERATOR`

    - ### Fields inherited from class org.apache.uima.jcas.cas.TOP

      `_singleton`

    - ### Fields inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `_casView, _id, DISABLE_RUNTIME_FEATURE_VALIDATION, DISABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_V2_PRETTY_PRINT, V2_PRETTY_PRINT`

    - ### Fields inherited from interface org.apache.uima.jcas.cas.CommonList

      `EMPTY_LIST_STRING`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NonEmptyIntegerList()`
    `` | `NonEmptyIntegerList(JCas jcas)`
    `` | `NonEmptyIntegerList(JCas jcas, int v)` Generate a NonEmpty node with the specified head with the empty node as the tail
    `` | `NonEmptyIntegerList(JCas jcas, int v, IntegerList tail)` Generate a NonEmpty node with the specified head and tail
    `` | `NonEmptyIntegerList(TypeImpl t, CASImpl c)` used by generator Make a new AnnotationBase

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `get_headAsString()` Internal use overridden in nonempty nodes Return the head value of a list as a string suitable for serialization.
    `int` | `getHead()`
    `IntegerList` | `getTail()`
    `int` | `getTypeIndexID()`
    `PrimitiveIterator.OfInt` | `iterator()`
    `void` | `set_headFromString(String v)` Internal use overridden in nonempty nodes used when deserializing
    `void` | `setHead(int v)`
    `void` | `setHead(List<String> stringValues, int i)`
    `void` | `setTail(CommonList v)` sets the tail of this node
    `void` | `setTail(IntegerList v)`

    - ### Methods inherited from class org.apache.uima.jcas.cas.IntegerList

      `contains, create, createNonEmptyNode, emptyList, getNthElement, push, pushNode, spliterator, stream`

    - ### Methods inherited from class org.apache.uima.jcas.cas.TOP

      `_createJCasHashMapReserve, _createSearchKey`

    - ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `_copyIntAndRefArraysEqTypesFrom, _copyIntAndRefArraysFrom, _copyIntArrayEqTypesFrom, _getBooleanValueNc, _getBooleanValueNc, _getByteValueNc, _getByteValueNc, _getDoubleValueNc, _getDoubleValueNc, _getFeatFromAdjOffset, _getFeatureValueNc, _getFeatureValueNc, _getFloatValueNc, _getFloatValueNc, _getIntLikeValue, _getIntValueNc, _getIntValueNc, _getLongValueNc, _getLongValueNc, _getRefValueCommon, _getShortValueNc, _getShortValueNc, _getStringValueNc, _getStringValueNc, _getTypeCode, _getTypeImpl, _getView, _id, _inSetSortedIndex, _isJCasHashMapReserve, _isPearTrampoline, _maybeGetBaseForPearFs, _maybeGetBaseForPearFs, _maybeGetPearFs, _maybeGetPearFs, _resetInSetSortedIndex, _setBooleanValueNcNj, _setBooleanValueNcNj, _setBooleanValueNfc, _setByteValueNcNj, _setByteValueNcNj, _setByteValueNfc, _setDoubleValueNcNj, _setDoubleValueNcNj, _setDoubleValueNfc, _setFeatureValueNcNj, _setFeatureValueNcNj, _setFeatureValueNcWj, _setFloatValueNcNj, _setFloatValueNcNj, _setFloatValueNfc, _setInSetSortedIndexed, _setIntLikeValue, _setIntLikeValueNcNj, _setIntValueCJ, _setIntValueNcNj, _setIntValueNcNj, _setIntValueNfc, _setIntValueNfcCJ, _setJCasHashMapReserve, _setLongValueCJ, _setLongValueNcNj, _setLongValueNcNj, _setLongValueNfc, _setLongValueNfcCJ, _setPearTrampoline, _setRefValueCJ, _setRefValueCommon, _setRefValueCommonWj, _setRefValueNfcCJ, _setShortValueNcNj, _setShortValueNcNj, _setShortValueNfc, _setStringValueNcNj, _setStringValueNcWj, _setStringValueNfc, _setTypeImpl, addStringOrPrimitive, addToIndexes, addToIndexes, addToIndexes, clone, compare, equals, getAddress, getBooleanValue, getByteValue, getCAS, getCASImpl, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getLowLevelCas, getShortValue, getStringValue, getType, hashCode, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrintShort, removeFromIndexes, removeFromIndexes, removeFromIndexes, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toShortString, toString, toString, wrapGetIntCatchException`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.jcas.cas.CommonList

      `anyListToOutput, anyListToStringList, createNonEmptyNode, emptyList, getCommonTail, getLength, getNonEmptyNthNode, getNthNode, insertNode, isEmpty, pushNode, walkList_saxException, walkList`

    - ### Methods inherited from interface org.apache.uima.cas.FeatureStructure

      `_getTypeCode, _id, clone, equals, getAddress, getBooleanValue, getByteValue, getCAS, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getJCas, getLongValue, getShortValue, getStringValue, getType, hashCode, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Field Detail

    - #### _TypeName

          public static final String _TypeName

      See Also:
        Constant Field Values

    - #### typeIndexID

          public static final int typeIndexID

    - #### type

          public static final int type

    - #### _FeatName_head

          public static final String _FeatName_head

      See Also:
        Constant Field Values

    - #### _FeatName_tail

          public static final String _FeatName_tail

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NonEmptyIntegerList

          protected NonEmptyIntegerList()

    - #### NonEmptyIntegerList

          public NonEmptyIntegerList(JCas jcas)

    - #### NonEmptyIntegerList

          public NonEmptyIntegerList(TypeImpl t,
                                     CASImpl c)

      used by generator Make a new AnnotationBase
      Parameters:
        `c` - -
        `t` - -

    - #### NonEmptyIntegerList

          public NonEmptyIntegerList(JCas jcas,
                                     int v,
                                     IntegerList tail)

      Generate a NonEmpty node with the specified head and tail
      Parameters:
        `jcas` - -
        `v` - -
        `tail` - -

    - #### NonEmptyIntegerList

          public NonEmptyIntegerList(JCas jcas,
                                     int v)

      Generate a NonEmpty node with the specified head with the empty node as the tail
      Parameters:
        `jcas` - -
        `v` - -

  - ### Method Detail

    - #### getTypeIndexID

          public int getTypeIndexID()

      Overrides:
        `getTypeIndexID` in class `TOP`
      Returns:
        the type array index

    - #### getHead

          public int getHead()

    - #### setHead

          public void setHead(int v)

    - #### getTail

          public IntegerList getTail()

    - #### setTail

          public void setTail(IntegerList v)

    - #### setTail

          public void setTail(CommonList v)

      Description copied from interface: `CommonList`
      sets the tail of this node
      Specified by:
        `setTail` in interface `CommonList`
      Parameters:
        `v` - the tail

    - #### setHead

          public void setHead(List<String> stringValues,
                              int i)

    - #### get_headAsString

          public String get_headAsString()

      Description copied from interface: `CommonList`
      Internal use overridden in nonempty nodes Return the head value of a list as a string suitable for serialization. For FeatureStructure values, return the _id.
      Specified by:
        `get_headAsString` in interface `CommonList`
      Returns:
        value suitable for serialization

    - #### set_headFromString

          public void set_headFromString(String v)

      Description copied from interface: `CommonList`
      Internal use overridden in nonempty nodes used when deserializing
      Specified by:
        `set_headFromString` in interface `CommonList`
      Parameters:
        `v` - value to set, as a string

    - #### iterator

          public PrimitiveIterator.OfInt iterator()

      Specified by:
        `iterator` in interface `Iterable<Integer>`
      Overrides:
        `iterator` in class `IntegerList`

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.